<form  class="container-fluid" [formGroup]="createTaskForm" (ngSubmit)="saveTask()" >
  <div class="form-group">
    <label for="name" class="form-label">Name</label>
    <input type="text" class="form-control" formControlName="name" >
    <div role="alert" class="alert alert-danger mt-1"
    *ngIf="createTaskForm.get('name')!.invalid && (createTaskForm.get('name')!.touched || createTaskForm.get('name')!.dirty)" >
      <span class="text-danger" *ngIf="createTaskForm.get('name')!.errors!.required" >Este campo es requerido</span>
      <span class="text-danger" *ngIf="createTaskForm.get('name')!.errors!.minlength">Minimo dos caracteres</span>
    </div>
  </div>
  <div class="form-group">
    <label for="name" class="form-label">Description</label>
    <input type="text" class="form-control" formControlName="description" >
  </div>
  <div class="form-group">
    <label for="" class="form-label">Status</label>
    <select name="" id="" class="form-control" formControlName="status" >
      <option value="true">Activa</option>
      <option value="false">Inactiva</option>
    </select>
  </div>
  <button type="submit" class="btn btn-primary mt-2" [disabled]="createTaskForm.invalid"  >Save task</button>
</form>
